summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-03-25 12:09:39 +0000
committerMike Frysinger <vapier@gentoo.org>2007-03-25 12:09:39 +0000
commit97cc0221ca237b15ed8cc2717e05c91b3baee499 (patch)
treef817b2c8acc0d4bbe7b35f343c64a0de5b47cdbd /sys-fs/quota/files/rpc.rquotad.initd
parentinclude more headers (diff)
downloadhistorical-97cc0221ca237b15ed8cc2717e05c91b3baee499.tar.gz
historical-97cc0221ca237b15ed8cc2717e05c91b3baee499.tar.bz2
historical-97cc0221ca237b15ed8cc2717e05c91b3baee499.zip
Version bump.
Package-Manager: portage-2.1.2.2
Diffstat (limited to 'sys-fs/quota/files/rpc.rquotad.initd')
-rw-r--r--sys-fs/quota/files/rpc.rquotad.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/sys-fs/quota/files/rpc.rquotad.initd b/sys-fs/quota/files/rpc.rquotad.initd
new file mode 100644
index 000000000000..f657fc469271
--- /dev/null
+++ b/sys-fs/quota/files/rpc.rquotad.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/quota/files/rpc.rquotad.initd,v 1.1 2007/03/25 12:09:39 vapier Exp $
+
+[ -e /etc/conf.d/nfs ] && source /etc/conf.d/nfs
+
+rpc_bin=/usr/sbin/rpc.rquotad
+
+depend() {
+ use ypbind net
+ need portmap
+ after quota
+}
+
+start() {
+ ebegin "Starting rpc.rquotad"
+ ${rpc_bin} ${OPTS_RPC_RQUOTAD}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rpc.rquotad"
+ start-stop-daemon --stop --quiet --exec ${rpc_bin}
+ eend $?
+}